> For the complete documentation index, see [llms.txt](https://docs.keeta.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeta.com/guides/overview-main-vs-test-networks.md).

# Overview (main vs test networks)

All examples use the `test` network so they can be easily run with faucet funds instead of real funds.  This main differences between `test` and `main` network interactions is which network alias, tokens and contract addresses should be used when interacting with the network and anchors.  The Anchor Metadata and Resolver handle identifying which Anchor's are available and what their endpoints are.  This makes it very easy to switch between `test` and `main`.

For the latest tokens and supported assets on the main network, refer to the Anchor Resolver Metadata.

{% embed url="<https://static.network.keeta.com/metadata/currencyMap>" %}

{% embed url="<https://static.network.keeta.com/metadata/services>" %}

Below is a summary of the chain/network ID's, token and contract addresses between the two environments.

## Network and Chain ID's

{% columns %}
{% column width="25%" %}
Chain

Keeta

Base

Ethereum

Arbitrum
{% endcolumn %}

{% column width="33.333333333333336%" %}
Test

1413829460

84532

11155111

421614
{% endcolumn %}

{% column width="41.66666666666665%" %}
Main

21378

8453

1

42161
{% endcolumn %}
{% endcolumns %}

For the most up to date tokens and contracts supported, use the [Anchor Metadata](/anchors/overview/anchor-resolver.md) to determine correct tokens and contract addresses.  Below is one example for USDC

## USDC Token on TEST

{% columns %}
{% column width="16.666666666666664%" %}
Chain

Keeta

Base

Ethereum

Arbitrum
{% endcolumn %}

{% column width="83.33333333333333%" %}
Test

`keeta_apna75yhhvnv4ei7ape55hndk4yepno7a7i2mhtiwahiygixjcnmvswxhnmnk`

`0x036CbD53842c5426634e7929541eC2318f3dCF7e`

`0x1c7D4B196Cb0C7B01d743fbc6116a902379C7238`

`0x75faf114eafb1BDbe2F0316DF893fd58CE46AA4d`
{% endcolumn %}
{% endcolumns %}

## USDC Token on MAIN

{% columns %}
{% column width="16.666666666666664%" %}
Chain

Keeta

Base

Ethereum

Arbitrum
{% endcolumn %}

{% column width="83.33333333333333%" %}
Test

`keeta_amnkge74xitii5dsobstldatv3irmyimujfjotftx7plaaaseam4bntb7wnna`

`0x833589fcd6edb6e08f4c7c32d4f71b54bda02913`

`0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48`

`0xaf88d065e77c8cC2239327C5EDb3A432268e5831`
{% endcolumn %}
{% endcolumns %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeta.com/guides/overview-main-vs-test-networks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
